<?xml version="1.0" encoding="UTF-8"?>
<ApprovalProcess xmlns="http://soap.sforce.com/2006/04/metadata">
    <active>false</active>
    <allowRecall>true</allowRecall>
    <allowedSubmitters>
        <type>owner</type>
    </allowedSubmitters>
    <approvalPageFields>
        <field>Name</field>
        <field>Date_Submitted__c</field>
        <field>CreatedBy</field>
        <field>Front_Office_Manager_Recommendation__c</field>
        <field>Operations_Manager_Recommendation__c</field>
        <field>Status__c</field>
    </approvalPageFields>
    <approvalStep>
        <allowDelegate>true</allowDelegate>
        <assignedApprover>
            <approver>
                <name>jerry.clifft@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>Automated Step to determine if the record is ready to begin the approval process.</description>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.RecordType</field>
                <operation>equals</operation>
                <value>Exec Summary In Progress</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>In Progress</value>
            </criteriaItems>
        </entryCriteria>
        <ifCriteriaNotMet>ApproveRecord</ifCriteriaNotMet>
        <label>Record qualifies for Executive Summary approval request submission?</label>
        <name>Record_qualifies_for_Executive_Summary_approval_request_submission</name>
    </approvalStep>
    <approvalStep>
        <allowDelegate>true</allowDelegate>
        <approvalActions>
            <action>
                <name>A_Response_has_been_submitted</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Executive_Summary_FO_Request_to_OPS2</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Status_Exec_Sum_Approvals_Pen</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>jerry.clifft@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>Send the manager of the Front Office a request to (approve / decline) and add their recommendations. Both approval and declining have the same end result, it go the Sales VP.</description>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.RecordType</field>
                <operation>equals</operation>
                <value>Exec Summary In Progress</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>Recommendations Pending - FO</value>
            </criteriaItems>
        </entryCriteria>
        <ifCriteriaNotMet>GotoNextStep</ifCriteriaNotMet>
        <label>FO Recommendations</label>
        <name>FO_Recommendations2</name>
        <rejectBehavior>
            <type>BackToPrevious</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>A_Response_has_been_submitted</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Executive_Summary_FO_Request_to_OPS2</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Status_Exec_Sum_Approvals_Pen</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>true</allowDelegate>
        <approvalActions>
            <action>
                <name>A_Response_has_been_submitted</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Executive_Summary_Sales_VP_Approval_Request</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Status_Exec_Sum_Approvals_Pen</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>jerry.clifft@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>OPS Manager to enter Approve / Decline and recommendations.</description>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.RecordType</field>
                <operation>equals</operation>
                <value>Exec Summary In Progress</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>Recommendations Pending - OPS</value>
            </criteriaItems>
        </entryCriteria>
        <ifCriteriaNotMet>ApproveRecord</ifCriteriaNotMet>
        <label>Executive Summary - OPS Manager Recommendations</label>
        <name>Executive_Summary_OPS_Manager_Recommendations</name>
        <rejectBehavior>
            <type>BackToPrevious</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>A_Response_has_been_submitted</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Executive_Summary_Sales_VP_Approval_Request</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Status_Exec_Sum_Approvals_Pen</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>true</allowDelegate>
        <approvalActions>
            <action>
                <name>Executive_Summary_Sales_VP_Response</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Inform_MDU_FO_OPS_VP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Record_Type_Closed</name>
                <type>FieldUpdate</type>
            </action>
            <action>
                <name>Update_Status_Exec_Sum_Approved</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>jerry.clifft@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.RecordType</field>
                <operation>equals</operation>
                <value>Exec Summary In Progress</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>Approvals Pending</value>
            </criteriaItems>
        </entryCriteria>
        <label>Executive Summary - VP Sales Approval</label>
        <name>Executive_Summary_VP_Sales_Approval</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Executive_Summary_Sales_VP_Response</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Inform_MDU_FO_OPS_VP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Record_Type_Closed</name>
                <type>FieldUpdate</type>
            </action>
            <action>
                <name>Update_Status_Exec_Sum_Decined</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <description>Used to both obtain the recommendation of the Front Office Manager, the Operation Manager and the Sales VP Approval.</description>
    <enableMobileDeviceAccess>false</enableMobileDeviceAccess>
    <entryCriteria>
        <criteriaItems>
            <field>Executive_Summary__c.RecordType</field>
            <operation>equals</operation>
            <value>Exec Summary In Progress</value>
        </criteriaItems>
        <criteriaItems>
            <field>Executive_Summary__c.Status__c</field>
            <operation>equals</operation>
            <value>In Progress</value>
        </criteriaItems>
    </entryCriteria>
    <finalApprovalRecordLock>true</finalApprovalRecordLock>
    <finalRejectionRecordLock>false</finalRejectionRecordLock>
    <initialSubmissionActions>
        <action>
            <name>Executive_Summary_FO_Request_to_OPS_and_FO_Mgr</name>
            <type>Alert</type>
        </action>
        <action>
            <name>Status_Update_Rec_Pending_FO</name>
            <type>FieldUpdate</type>
        </action>
    </initialSubmissionActions>
    <label>MDU Direct - Executive Summary Approval3</label>
    <nextAutomatedApprover>
        <useApproverFieldOfRecordOwner>true</useApproverFieldOfRecordOwner>
        <userHierarchyField>Manager</userHierarchyField>
    </nextAutomatedApprover>
    <processOrder>1</processOrder>
    <recallActions>
        <action>
            <name>Recall_FO_Request</name>
            <type>Alert</type>
        </action>
    </recallActions>
    <recordEditability>AdminOrCurrentApprover</recordEditability>
    <showApprovalHistory>true</showApprovalHistory>
</ApprovalProcess>
